@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

:root {
    --body-color: #fffefe;
    --primary-color: #061e34;
    --primary-color-hover: #ffae00ce;
    --secondary-color: #161326;
    --card-color: #ffff;
    --card-hover: #1b1731;
    --text-color: #061e34;
    --text-color-opacity: #061e34c0;
    --text-color-muted: #6c757d;
    --text-color-dark: rgb(10, 10, 10);
    --text-light: #FEFEFF;
    --text-light-opacity: #FEFEFFc0;
    --navbar-color: #ffff;

    --bg-blue: #0d6ffc;
    --bg-soft-blue: #f1f5fb;
    --bg-red: #dc3545;
    --bg-warning: #ffc106;
    --bg-orange: #fd7e14;
    --bg-success: #188754;
    --bg-green: var(--bg-success);
    --bg-indigo: #6610f2;
    --bg-success-opacity: rgba(0, 128, 0, 0.1);
    --bg-warning-opacity: rgba(255, 215, 0, 0.18);

    --bg-red-badge-opacity: #f1aeb5;
    --bg-warning-badge-opacity: #ffe69c;
    --bg-orange-badge-opacity: #ffcba1;
    --bg-green-badge-opacity: #a5cfba;
    --bg-blue-badge-opacity: #9fc4fe;
    --bg-indigo-badge-opacity: #c39ffa;

    --color-red-badge-opacity: #2b0a0f;
    --color-warning-badge-opacity: #322700;
    --color-orange-badge-opacity: #331902;
    --color-green-badge-opacity: #051a11;
    --color-blue-badge-opacity: #021734;
    --color-indigo-badge-opacity: #140330;
    
    /* Transisi */
    --tran-02: all 0.2s ease;
    --tran-03: all 0.3s ease;
    --tran-04: all 0.4s ease;
    --tran-05: all 0.5s ease;

    /* Radius */
    --radius-05: 5px;
    --radius-10: 10px;
    --radius-20: 20px;
    --radius-50: 50px;
    --radius-100: 100px;
}

* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
.body {
    background-color: var(--body-color);
}

a {
    text-decoration: none;
}

.bg-color {
    background-color: var(--body-color);
}
.text-color {
    color: var(--text-color);
}
.text-secondary {
    color: var(--text-color-opacity);
}
.text-light-opacity {
    color: var(--text-light-opacity);
}
.bg-primary {
    background-color: var(--primary-color) !important;
}
.bg-soft-blue {
    background-color: var(--bg-soft-blue) !important;
}

.btn-primary {
    background-color: var(--primary-color) !important;
    border: 1px solid var(--primary-color) !important;
    padding: 5px 15px !important;
    border-radius: var(--radius-05) !important;
    box-shadow: none !important;
}

.btn-outline-primary {
    color: var(--primary-color) !important;
    background-color: transparent !important;
    border: 1px solid var(--primary-color) !important;
    padding: 5px 15px !important;
    border-radius: var(--radius-05) !important;
    box-shadow: none !important;
}
.btn-outline-primary:hover {
    color: var(--body-color) !important;
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    transition: var(--tran-03);
}


.fs-7,
.badge span {
    font-size: clamp(10px, 2vw, 12px) !important;
}


@keyframes fadeOut {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
#loading-screen {
    background-color: var(--body-color);
}
#loading-screen.fade-out {
    animation: fadeOut 1s ease-in-out;
    opacity: 0;
    pointer-events: none;
    transition: var(--tran-02);
}


/* Navbar */
.navbar {
    margin: auto;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: all 0.5s ease;
}

.offcanvas-title h5,
.navbar .navbar-brand span:nth-child(1) {
    font-size: clamp(15px, 2vw, 20px);
}
#loading-screen h1 sup,
.navbar .navbar-brand span:nth-child(1) sup,
.navbar .navbar-brand span:nth-child(2) {
    font-size: clamp(7px, 2vw, 12px);
}
.offcanvas-title span {
    font-size: clamp(10px, 2vw, 15px);
}

.navbar ul {
    margin: 0;
    padding: 0;
}

.navbar ul li {
    list-style: none;
    display: inline-block;
    margin: 15px 10px;
    position: relative;
}

.navbar ul li a {
    text-decoration: none;
    color: var(--text-color);
    text-transform: uppercase;
}

.navbar ul li a.active::after {
    content: "";
    height: 3px;
    width: 100%;
    background: var(--primary-color);
    position: absolute;
    left: 0;
    bottom: -3px;
}

.navbar ul li:nth-child(1):after,
.navbar ul li:nth-child(2):after,
.navbar ul li:nth-child(3):after,
.navbar ul li:nth-child(4):after {
    content: "";
    height: 3px;
    width: 0;
    background: var(--primary-color);
    position: absolute;
    left: 0;
    bottom: -3px;
    transition: 0.5s;
}

.navbar ul li:hover::after {
    width: 100%;
}

.navbar ul li a:hover {
    color: var(--primary-color);
}

.navbar ul li a.active {
    color: var(--primary-color);
    font-weight: 500;
}

.nav-btn button {
    width: 80px;
    height: 40px;
    border-radius: 25px;
}

/* Hamburger Menu */
.navbar .container .toggle_btn {
    cursor: pointer;
    display: none;
}

@media (max-width: 884px) {
    .navbar .container .links {
        display: none;
    }

    .navbar .container .toggle_btn {
        display: block;
        padding-right: 4.6%;
    }

    .navbar .container {
        padding-left: 8.6%;
    }
}
/* Navbar End */


.banner {
    height: calc(100vh - 70px);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-color);
    overflow: hidden;
    z-index: 1;
}
.banner > img {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.47);
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5));
}
.banner-content .banner-badge {
    background-color: var(--body-color);
    padding: 10px;
    border-radius: 30px;
    width: fit-content;
    box-shadow: 0 5px 0 #000;
    transition: var(--tran-05);
    transform: translateY(0);
}
.banner-content .banner-badge:last-child:active {
  box-shadow: 0 2px 0 #000;
  transform: translateY(3px);
}
.banner-content .banner-badge:last-child:hover {
  box-shadow: 0 2px 0 #000;
  filter: brightness(1.05);
  transform: translateY(3px);
  cursor: pointer;
}
.banner-content .banner-badge > * {
    margin: 0px 5px;
}

.blockquote {
    border-left: 4px solid var(--primary-color);
    padding-left: 16px;
    font-size: clamp(25px, 5vw, 35px) !important;
}

/* Profil Desa */
#profile-stats .col .card,
#profile-description.card {
    background-color: var(--card-color);
    color: var(--text-color);
    border-radius: var(--radius-10);
    border: none;
    border-top: 10px solid;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
#profile-description.card {
    border-top: none !important;
}
#profile-stats .col .card .card-body .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--radius-10);
}
#profile-stats .col:nth-child(1) .card .card-body .icon,
#profile-stats .col:nth-child(3) .card .card-body .icon{
    background-color: var(--bg-success-opacity);
}
#profile-stats .col:nth-child(2) .card .card-body .icon {
    background-color: var(--bg-warning-opacity);
}

#profile-stats .col:nth-child(1) .card:hover .card-body h5 {
    color: var(--bg-blue);
    transition: var(--tran-03);
}
#profile-stats .col:nth-child(2) .card:hover .card-body h5 {
    color: var(--bg-warning);
    transition: var(--tran-03);
}
#profile-stats .col:nth-child(3) .card:hover .card-body h5 {
    color: var(--bg-success);
    transition: var(--tran-03);
}



/* Struktur Organisasi KKN */
#struktur-organisasi-kkn {
    background-color: var(--bg-soft-blue);
}
#struktur-organisasi-kkn .card {
    background-color: var(--card-color);
    color: var(--text-color);
    border-radius: var(--radius-20);
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: var(--tran-03);
    cursor: pointer;
}
#struktur-organisasi-kkn .card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.avatar {
    width: 65px;
    height: 65px;
    border-radius: var(--radius-50);
    overflow: hidden;
    margin-right: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: var(--tran-03);
    background-color: var(--card-hover);
    flex-shrink: 0;
}
.avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#struktur-organisasi-kkn i {
    color: var(--text-color-muted);
}




/* Profile */
#profile {
    background-color: var(--bg-soft-blue) !important;
    padding-bottom: 20px;
}
#profile .card.card-profile,
#profile #other-members .card {
    background-color: var(--card-color);
    color: var(--text-color);
    border-radius: var(--radius-20);
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
#profile .card.card-profile img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px 20px 0 0;
    aspect-ratio: 1400 / 350;
}

#profile .header {
    position: relative;
    align-items: end;
    display: flex;
    top: -50px;
    left: 20px;
}
#profile .header .avatar {
    width: 120px;
    height: 120px;
    border-radius: var(--radius-100);
    overflow: hidden;
    margin-right: 10px;
    background-color: var(--card-hover);
    border: 3px solid var(--body-color);
}
#profile .header .avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#profile .header .jobs {
    position: relative;
    top: -25px;
}
#profile .header .jobs .badge {
    border-radius: var(--radius-100);
}
#profile .card-profile .card-body {
    position: relative;
    top: -50px;
    padding-left: 35px;
    padding-right: 35px;
}
#profile .card-footer {
    background-color: var(--body-color);
    border-radius: 0 0 20px 20px;
    padding: 20px 20px 15px 20px;
    display: flex;
    align-items: center;
    justify-content: end;
}
#profile .card-footer#social-media i {
    color: var(--text-color-opacity);
    font-size: larger;
    padding: 0;
    margin: 0;
}
#profile .card-footer#social-media i:hover {
    color: var(--bg-blue);
    transition: var(--tran-03);
}

#profile #other-members {
    z-index: 1;
}
#profile #other-members .card .card-header {
    border-radius: var(--radius-20) var(--radius-20) 0 0;
    background-color: var(--card-color);
    color: var(--text-color);
}
#profile #other-members .card .card-body {
    overflow-y: auto;
    max-height: calc(100svh - 200px);
}
#profile #other-members .card .card-body .member {
    color: var(--text-color);
    border-bottom: 1px solid #dee1e6;
    padding: 10px 0;
    position: relative;
    transition: var(--tran-03);
}
#profile #other-members .card .card-body .member:hover {
    background-color: var(--bg-soft-blue);
}
#profile #other-members .card .card-body .member .avatar {
    width: 50px;
    height: 50px;
    border-radius: var(--radius-50);
    overflow: hidden;
    margin-right: 10px;
    background-color: var(--card-hover);
    position: absolute;
}
#profile #other-members .card .card-body .member .info {
    margin-left: 60px;
    padding-top: 5px;
    padding-bottom: 5px;
}
#struktur-organisasi-kkn .username,
#profile #other-members .card .card-body .member .username,
#profile #other-members .card .card-body .member .role,
#projects .username {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
#profile #other-members .card .card-body .member:last-child {
    border-bottom: none;
}

@media (max-width: 768px) {
    #profile .header {
        flex-direction: column;
        align-items: center;
        gap: 30px;
        top: -40px;
        left: 0;
    }
    #profile .avatar {
        width: 80px;
        height: 80px;
        margin-right: 0px;
    }
    #profile .header .jobs {
        align-self: flex-start;
        position: relative;
        margin-left: 15px;
    }
    #profile .card-profile .card-body {
        position: relative;
        top: -60px;
        left: 0 !important;
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
    #profile #other-members .card .card-body {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
}




/* Projects */
#projects .card {
    background-color: var(--body-color);
    color: var(--text-color) !important;
    border-radius: var(--radius-20);
    border: none !important;
}
#projects .thumbnail {
    width: 100%;
    overflow: hidden;
    aspect-ratio: 16/9;
    border-radius: var(--radius-20);
}
#projects .thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: var(--tran-03);
}
#projects .card:hover .thumbnail img {
    filter: blur(1.5px);
    transition: var(--tran-03);
}
#projects .project .project-title {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--text-color) !important;
    font-weight: bold;
    transition: var(--tran-03);
}
#projects .card:hover .project-title {
    color: var(--bg-blue) !important;
    transition: var(--tran-03);
}

/* search */
.actions .search-box {
    display: flex;
    align-items: center;
    width: fit-content;
    border: 1px solid transparent;
    border-radius: var(--radius-50);
    padding: 10px 15px;
    gap: 4px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.actions .search-box input {
    width: clamp(100px, 35vw, 200px);
    border: none !important;
    outline: none !important;
    background-color: transparent !important;
    color: var(--text-color-dark);
}
.actions .search-box i {
    color: var(--text-color-dark);
}
.actions .search-box:focus-within,
.actions .search-box:focus-within i {
    border-color: var(--bs-primary) !important;
    color: var(--bs-primary) !important;
    transition: var(--tran-03);
}
.container-filters button {
    background-color: transparent;
    border: none;
}

.project-title-nav {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.project-container {
    padding: 0px 200px !important;
}
@media (max-width: 993px) {
    .project-container {
        padding: 0px !important;
    }
}
section.project-body .thumbnail {
    width: 100%;
}
section.project-body .thumbnail img {
    aspect-ratio: 16/9 !important;
    width: 100%;
    background-size: cover;
    object-fit: cover;
    background-position: center;
}
section.thumbnail {
    width: 100%;
    border-radius: 0px;
}
section.thumbnail img {
    aspect-ratio: 16/6 !important;
    width: 100%;
    background-size: cover;
    object-fit: cover;
    background-position: center;
}

/* Category */
.badge {
    padding: 6px 10px;
    margin-bottom: 3px;
    border-radius: var(--radius-50);
    border-left: 4px solid;
}
.badge.bg-ekonomi {
    background-color: var(--bg-orange-badge-opacity);
    color: var(--color-orange-badge-opacity) !important;
    border-color: var(--bg-orange) !important;
}
.badge.bg-jatidiri {
    background-color: var(--bg-indigo-badge-opacity);
    color: var(--color-indigo-badge-opacity) !important;
    border-color: var(--bg-indigo) !important;
}
.badge.bg-kesehatan {
    background-color: var(--bg-red-badge-opacity);
    color: var(--color-red-badge-opacity) !important;
    border-color: var(--bg-red) !important;
}
.badge.bg-lingkungan {
    background-color: var(--bg-green-badge-opacity);
    color: var(--color-green-badge-opacity) !important;
    border-color: var(--bg-green) !important;
}
.badge.bg-pendidikan {
    background-color: var(--bg-blue-badge-opacity);
    color: var(--color-blue-badge-opacity) !important;
    border-color: var(--bg-blue) !important;
}
.badge.bg-unggulan {
    background-color: var(--primary-color) !important;
    color: var(--bg-warning) !important;
    border: none !important;
}
.badge.bg-default {
    background-color: var(--primary-color);
    color: var(--text-light) !important;
    border-color: var(--primary-color) !important;
}

/* view details */
.view-details {
    opacity: 0;
}
.bx.bx-chevron-up {
    display: none;
}
.view-details.active {
    opacity: 1;
    transition: var(--tran-04);
}
.view-details.active .bx.bx-chevron-down {
    display: none !important;
}

/* author */
.author .info {
    cursor: pointer;
}
.author-name {
    display: flex;
    align-items: center;
    gap: 5px;
}
.author-name p:hover:first-child {
    text-decoration: underline;
}

/* share */
.actions .share {
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}
.actions .share button {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--radius-50);
    border: none;
}
.actions .share button i {
    padding: 0;
    margin: 0;
    color: var(--text-light);
}
.actions .share .facebook {
    background-color: var(--primary-color);
}
.actions .share .x {
    background-color: var(--text-color-dark);
}
.actions .share .email {
    background-color: var(--text-color-muted);
}
.actions .share button.copy-link-btn {
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
}
.actions .share button.copy-link-btn p {
    color: var(--text-light);
}
.actions .read-time > * {
    height: 40px;
}


figure.image {
    margin-left: auto;
	margin-right: auto;
}
figure.image img,
p > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

figure.image.image-style-align-left,
p > .image-style-align-left {
    float: left;
    margin-right: var(--ck-image-style-spacing);
}
figure.image.image-style-align-right,
p > .image-style-align-right {
    float: right;
    margin-left: var(--ck-image-style-spacing);
}

figure.image.image-style-block-align-left {
    margin-left: 0;
    margin-right: auto;
}
figure.image.image-style-block-align-right {
    margin-right: 0;
    margin-left: auto;
}

figure.table table {
    all: revert;
    border-collapse: collapse;
    width: 100%;
}

pre {
    background-color: #eeefef;
    border: 1px solid var(--text-color);
    padding: 20px;
    border-radius: var(--border-5);
}
label.language-code {
    padding: 5px 15px;
    position: absolute;
    right: 0;
    border-radius: 0px 5px 0px 0px;
}
@media (max-width: 768px) {
    .project-body figure,
    .project-body p img {
        width: 100% !important;
    }
}





/* Back to Top */
.icon-back-to-top {
    position: fixed;
    height: 50px;
    width: 50px;
    background: var(--primary-color);
    bottom: 20px;
    right: 20px;
    text-decoration: none;
    text-align: center;
    line-height: 63px;
    border-radius: var(--radius-10);
    pointer-events: none;
    transition: all .4s;
    opacity: 0;
}
.icon-back-to-top.active {
    pointer-events: auto;
    opacity: 1;
}
.icon-back-to-top i {
    color: var(--text-light);
}



/* Footer */
footer a {
    color: var(--text-color) !important;
}
footer a:hover {
    color: var(--bg-blue) !important;
    transition: var(--tran-03);
}
.footer-nav-title {
    color: var(--text-color);
    border-bottom: 2px solid var(--primary-color);
}



/* Pagination */
.pagination-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}
.pagination-container nav ul li a,
.pagination-container nav ul li button {
    background-color: transparent;
    border: 1px solid var(--text-color-muted);
    color: var(--text-color);
}
.pagination-container nav ul li:hover button,
.pagination-container nav ul li:focus-within button {
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--text-light-opacity);
    box-shadow: none;
}
.pagination-container nav ul li.disabled span {
    background-color: transparent !important;
    border-color: var(--text-color-muted) !important;
    color: var(--text-color-muted) !important;
}
.pagination-container nav ul li.active span {
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    color: var(--text-light) !important;
}